Tasks
Running tasks across the sites I can reach
GET
Permission: any member
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
cursor?|Opaque cursor from a previous page's next_cursor.
limit?LimitRange
1 <= value <= 100Default
50Successful Response
application/json- response
success*booleandata*The result; on an error, details such as code and permission.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X GET "https://example.com/v1/tasks"{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "string", "status": "string", "progress": null, "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811", "started_at": "2019-08-24T14:15:22Z", "finished_at": null, "error": null } ], "next_cursor": null }}